GetConnection - Amazon DataZone

GetConnection

Gets a connection. In Amazon DataZone, a connection enables you to connect your resources (domains, projects, and environments) to external resources and services.

Request Syntax

GET /v2/domains/domainIdentifier/connections/identifier?withSecret=withSecret HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

domainIdentifier

The ID of the domain where we get the connection.

Pattern: dzd[-_][a-zA-Z0-9_-]{1,36}

Required: Yes

identifier

The connection ID.

Length Constraints: Minimum length of 0. Maximum length of 128.

Required: Yes

withSecret

Specifies whether a connection has a secret.

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "configurations": [ { "classification": "string", "properties": { "string" : "string" } } ], "connectionCredentials": { "accessKeyId": "string", "expiration": "string", "secretAccessKey": "string", "sessionToken": "string" }, "connectionId": "string", "description": "string", "domainId": "string", "domainUnitId": "string", "environmentId": "string", "environmentUserRole": "string", "name": "string", "physicalEndpoints": [ { "awsLocation": { "accessRole": "string", "awsAccountId": "string", "awsRegion": "string", "iamConnectionId": "string" }, "enableTrustedIdentityPropagation": boolean, "glueConnection": { "athenaProperties": { "string" : "string" }, "authenticationConfiguration": { "authenticationType": "string", "oAuth2Properties": { "authorizationCodeProperties": { "authorizationCode": "string", "redirectUri": "string" }, "oAuth2ClientApplication": { "aWSManagedClientApplicationReference": "string", "userManagedClientApplicationClientId": "string" }, "oAuth2Credentials": { "accessToken": "string", "jwtToken": "string", "refreshToken": "string", "userManagedClientApplicationClientSecret": "string" }, "oAuth2GrantType": "string", "tokenUrl": "string", "tokenUrlParametersMap": { "string" : "string" } }, "secretArn": "string" }, "compatibleComputeEnvironments": [ "string" ], "connectionProperties": { "string" : "string" }, "connectionSchemaVersion": number, "connectionType": "string", "creationTime": number, "description": "string", "lastConnectionValidationTime": number, "lastUpdatedBy": "string", "lastUpdatedTime": number, "matchCriteria": [ "string" ], "name": "string", "physicalConnectionRequirements": { "availabilityZone": "string", "securityGroupIdList": [ "string" ], "subnetId": "string", "subnetIdList": [ "string" ] }, "pythonProperties": { "string" : "string" }, "sparkProperties": { "string" : "string" }, "status": "string", "statusReason": "string" }, "glueConnectionName": "string", "glueConnectionNames": [ "string" ], "host": "string", "port": number, "protocol": "string", "stage": "string" } ], "projectId": "string", "props": { ... }, "scope": "string", "type": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

configurations

The configurations of the connection.

Type: Array of Configuration objects

connectionCredentials

Connection credentials.

Type: ConnectionCredentials object

connectionId

The ID of the connection.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 128.

description

Connection description.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

domainId

The domain ID of the connection.

Type: String

Pattern: dzd[-_][a-zA-Z0-9_-]{1,36}

domainUnitId

The domain unit ID of the connection.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [a-z0-9_\-]+

environmentId

The ID of the environment.

Type: String

Pattern: [a-zA-Z0-9_-]{1,36}

environmentUserRole

The environment user role.

Type: String

name

The name of the connection.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 64.

physicalEndpoints

The physical endpoints of the connection.

Type: Array of PhysicalEndpoint objects

projectId

The ID of the project.

Type: String

Pattern: [a-zA-Z0-9_-]{1,36}

props

Connection props.

Type: ConnectionPropertiesOutput object

Note: This object is a Union. Only one member of this object can be specified or returned.

scope

The scope of the connection.

Type: String

Valid Values: DOMAIN | PROJECT

type

The type of the connection.

Type: String

Valid Values: ATHENA | BIGQUERY | DATABRICKS | DOCUMENTDB | DYNAMODB | HYPERPOD | IAM | MYSQL | OPENSEARCH | ORACLE | POSTGRESQL | REDSHIFT | S3 | SAPHANA | SNOWFLAKE | SPARK | SQLSERVER | TERADATA | VERTICA | WORKFLOWS_MWAA | AMAZON_Q | MLFLOW

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

The request has failed because of an unknown error, exception or failure.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource cannot be found.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

UnauthorizedException

You do not have permission to perform this action.

HTTP Status Code: 401

ValidationException

The input fails to satisfy the constraints specified by the AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: